Skip to main content
curl -X GET "https://parsagon.io/api/transcripts/v1/abc123" \
  -H "Authorization: Token YOUR_API_KEY_HERE"
{
  "id": 5103754,
  "title": "Committee on the Internal Market and Consumer Protection Ordinary meeting",
  "url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-internal-market-and-consumer-protection-ordinary-meeting_20260507-0900-COMMITTEE-IMCO",
  "scheduled_time": "2026-05-07T07:00:00Z",
  "text": "Anna Cavazzini:\r\n Good morning, dear colleagues. I suggest we start our IMCO session. Before I welcome our Commissioner for Consumer Protection...",
  "extra_data": {
    "segments": [
      {
        "text": " Good morning, dear colleagues. I suggest we start our IMCO session. Before I welcome our Commissioner for Consumer Protection...",
        "start": 2.545,
        "end": 149.511,
        "speaker": "Anna Cavazzini"
      },
      ...
    ]
  },
  "transcript_status": "FINISHED"
}
Transcript text is typically available starting shortly after a hearing or debate begins, but lags the livestream by approximately 30 minutes or more. Speaker identities are not added to the data until after the hearing or debate is completed.

Path parameters

id
string
required
Unique identifier of the transcript.

Response

id
string
Unique identifier for the transcript.
title
string
Title of the transcript.
url
string
URL of the original audio or video source.
scheduled_time
string
Scheduled time of the event in ISO 8601 format.
text
string
Full transcript text.
transcript_status
string
Current status of the transcript.
extra_data
object
Additional transcript data, including segment-level details.
curl -X GET "https://parsagon.io/api/transcripts/v1/abc123" \
  -H "Authorization: Token YOUR_API_KEY_HERE"
{
  "id": 5103754,
  "title": "Committee on the Internal Market and Consumer Protection Ordinary meeting",
  "url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-internal-market-and-consumer-protection-ordinary-meeting_20260507-0900-COMMITTEE-IMCO",
  "scheduled_time": "2026-05-07T07:00:00Z",
  "text": "Anna Cavazzini:\r\n Good morning, dear colleagues. I suggest we start our IMCO session. Before I welcome our Commissioner for Consumer Protection...",
  "extra_data": {
    "segments": [
      {
        "text": " Good morning, dear colleagues. I suggest we start our IMCO session. Before I welcome our Commissioner for Consumer Protection...",
        "start": 2.545,
        "end": 149.511,
        "speaker": "Anna Cavazzini"
      },
      ...
    ]
  },
  "transcript_status": "FINISHED"
}